# Mario Jigsaw Genius
## Features
 - Extract puzzle pieces from a photo
 - Analyse a puzzle piece and convert them into a puzzle piece object
 - Solve the puzzle
 - Reassemble the puzzle pieces correctly

## Target
The project aims to implement an algorithm that makes it possible to complete a puzzle using a photo. To do this, the patterns and shapes of the puzzle pieces must be matched and placed together. In order to save unnecessary additional work in the post-processing of the puzzle pieces, an automatically processed photo should be used, which already contains brightness and distortion corrections (e.g. smartphone camera recording).

## Project structure
The project is structured in three parts:
 - Image Processing
    - Extract puzzle pieces from photo
    - Reassemble the puzzle pieces
 - Image Analyser
    - Analyse a puzzle piece and convert them into a puzzle piece object
 - Puzzle Solving
    - Solve the puzzle

## Project status
All three parts are working independently with test data.
The main script MarioJigsawGenius.py is currently not working.

## Author
Jan Genders, Jessica Dreyer, Sebastian Böttger

## License
This project is licensed under the GNU GPL V3 - see the LICENSE file for details.